## org.eclipse.emf.ecore.util
Class EcoreUtil.FilteredSettingsIterator

    java.lang.Object
      org.eclipse.emf.ecore.util.EcoreUtil.AbstractFilteredSettingsIterator<EStructuralFeature.Setting>
          org.eclipse.emf.ecore.util.EcoreUtil.FilteredSettingsIterator

All Implemented Interfaces:
  java.util.Iterator<EStructuralFeature.Setting>

Enclosing class:
  EcoreUtil

    public static class EcoreUtil.FilteredSettingsIterator

extends EcoreUtil.AbstractFilteredSettingsIterator<EStructuralFeature.Setting>

An iterator over `settings` that filters out the ones that aren't of interest. If an `EReference` is specified, the iterator will only yield settings with that as their `feature`. If an `EClass` is specified, the iterator will only yield settings with an `object` of that type.

Field Summary

Fields inherited from class org.eclipse.emf.ecore.util.EcoreUtil.AbstractFilteredSettingsIterator
`eClass, eReference, index, iterator, list, preparedResult, size`

Constructor Summary
`EcoreUtil.FilteredSettingsIterator(java.util.Collection<EStructuralFeature.Setting> collection, EReference eReference, EClass eClass)`
`EcoreUtil.FilteredSettingsIterator(java.util.Iterator<EStructuralFeature.Setting> iterator, EReference eReference, EClass eClass)`
`EcoreUtil.FilteredSettingsIterator(java.util.List<EStructuralFeature.Setting> list, EReference eReference, EClass eClass)`

Method Summary
`protected EStructuralFeature.Setting` `yield(EStructuralFeature.Setting setting)`

Methods inherited from class org.eclipse.emf.ecore.util.EcoreUtil.AbstractFilteredSettingsIterator
`hasNext, isIncluded, next, remove`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EcoreUtil.FilteredSettingsIterator

    public EcoreUtil.FilteredSettingsIterator(java.util.List<EStructuralFeature.Setting> list,
                                              EReference eReference,
                                              EClass eClass)

### EcoreUtil.FilteredSettingsIterator

    public EcoreUtil.FilteredSettingsIterator(java.util.Collection<EStructuralFeature.Setting> collection,
                                              EReference eReference,
                                              EClass eClass)

### EcoreUtil.FilteredSettingsIterator

    public EcoreUtil.FilteredSettingsIterator(java.util.Iterator<EStructuralFeature.Setting> iterator,
                                              EReference eReference,
                                              EClass eClass)

Method Detail

### yield

    protected EStructuralFeature.Setting yield(EStructuralFeature.Setting setting)

  Specified by:
    `yield` in class `EcoreUtil.AbstractFilteredSettingsIterator<EStructuralFeature.Setting>`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.